Blob Blame History Raw
From: Amit Cohen <amitc@mellanox.com>
Date: Thu, 7 Nov 2019 18:42:18 +0200
Subject: selftests: forwarding: devlink: Add functionality for trap exceptions
 test
Patch-mainline: v5.5-rc1
Git-commit: 7ce4e7608674ff4ba78157eea4bea464e4106545
References: bsc#1176774

Add common part of all the tests - check devlink status to ensure that
packets were trapped.

Signed-off-by: Amit Cohen <amitc@mellanox.com>
Acked-by: Jiri Pirko <jiri@mellanox.com>
Signed-off-by: Ido Schimmel <idosch@mellanox.com>
Signed-off-by: David S. Miller <davem@davemloft.net>
Acked-by: Thomas Bogendoerfer <tbogendoerfer@suse.de>
---
 tools/testing/selftests/net/forwarding/devlink_lib.sh |   12 ++++++++++++
 1 file changed, 12 insertions(+)

--- a/tools/testing/selftests/net/forwarding/devlink_lib.sh
+++ b/tools/testing/selftests/net/forwarding/devlink_lib.sh
@@ -356,6 +356,18 @@ devlink_trap_group_stats_idle_test()
 	fi
 }
 
+devlink_trap_exception_test()
+{
+	local trap_name=$1; shift
+	local group_name=$1; shift
+
+	devlink_trap_stats_idle_test $trap_name
+	check_fail $? "Trap stats idle when packets should have been trapped"
+
+	devlink_trap_group_stats_idle_test $group_name
+	check_fail $? "Trap group idle when packets should have been trapped"
+}
+
 devlink_trap_drop_test()
 {
 	local trap_name=$1; shift